## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate sspi

Name:           rust-sspi
Version:        0.15.14
Release:        %autorelease
Summary:        Rust implementation of the Security Support Provider Interface

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/sspi
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          sspi-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * default to the ring crypto backend
Patch:          sspi-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Rust implementation of the Security Support Provider Interface (SSPI)
API.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__install-crypto-provider-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__install-crypto-provider-devel %{_description}

This package contains library source intended for building other packages which
use the "__install-crypto-provider" feature of the "%{crate}" crate.

%files       -n %{name}+__install-crypto-provider-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+__rustls-used-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+__rustls-used-devel %{_description}

This package contains library source intended for building other packages which
use the "__rustls-used" feature of the "%{crate}" crate.

%files       -n %{name}+__rustls-used-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns_resolver-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns_resolver-devel %{_description}

This package contains library source intended for building other packages which
use the "dns_resolver" feature of the "%{crate}" crate.

%files       -n %{name}+dns_resolver-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+network_client-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+network_client-devel %{_description}

This package contains library source intended for building other packages which
use the "network_client" feature of the "%{crate}" crate.

%files       -n %{name}+network_client-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tsssp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tsssp-devel %{_description}

This package contains library source intended for building other packages which
use the "tsssp" feature of the "%{crate}" crate.

%files       -n %{name}+tsssp-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jul 03 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.14-1
- Update to v0.15.14

* Wed Jun 25 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.13-1
- Update to v0.15.13, rhbz#2370440

* Wed Jun 11 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.11-1
- Update to 0.15.11, rhbz#2370440

* Tue Jun 10 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.10-2
- Update to 0.15.10, rhbz#2370440

* Tue Jun 10 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.10-1
- Update to 0.15.10, rhbz#2370440

* Tue Jun 10 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.9-1
- Update to 0.15.9 (bug #2370440)

* Fri May 30 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.7-1
- Update to 0.15.7, rhbz#2369226

* Wed May 28 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.6-1
- Update to v0.15.6, rhbz#2362367

* Wed May 28 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.5-1
- Update to v0.15.5

* Tue Mar 25 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.4-1
- Update to v0.15.4, fixes rhbz#2354609

* Wed Mar 12 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.3-1
- Update to v0.15.3, fixes rhbz#2351719

* Tue Mar 04 2025 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.15.2-1
- Initial packaging, fixes rhbz#2329181
## END: Generated by rpmautospec
